/**
   Copyright 1998 Kevin Hester, kevinh@acm.org
   
   Commerical use prohibited - non commercial distribution is OK.
   Contact the author for further information.
*/


package kh.signal;


import java.util.*;


/**
   We call into our native code and wait for signals to be thrown
*/
class SignalManagerThread extends Thread
    {
	SignalManagerThread()
	    {
		super("SignalMonitorThread");

		setDaemon(true);
		setPriority(4);
		start();
		}

	public void run()
	    {
		while(true)
			{
			int sig = SignalManager.waitForSignal();
			
			for(Enumeration e = SignalManager.listeners.elements(); e.hasMoreElements(); )
				{
				SignalListener l = (SignalListener) e.nextElement();
					if(l.isInterested(sig))
						l.signalReceived(sig);
				}
			}
		}
    }




