package kh.signal;

/**
   This class demonstrates how to use JavaSignals.
*/
public class SignalTest implements SignalListener
    {
	public SignalTest()
	    {
		SignalManager.addListener(this);
		}

	/**
	   Called when the signal is generated by the operating system.

	   @param signalNum a UNIX signal number - ie SIG_KILL
	*/
	public void signalReceived(int signalNum)
	   {
	   System.out.println("Caught signal " + signalNum);
	   }

	/**
	   Called to determine if this listener is interested in a particular
	   signal number
	*/
	public boolean isInterested(int signalNum)
	    {
		// System.out.println("Is Interested called " + signalNum);
		
		return signalNum == SIGHUP;
		}



	public static void main(String args[])
	    {
		SignalTest test = new SignalTest();
		System.out.println("Test created - waiting for SIGHUP");
		// Wait 5 minutes
		try
			{
			Thread.sleep(1000 * 60 * 5);
			}
		catch(InterruptedException e)
			{
			}
		System.out.println("Exiting");
		}
    }
